<!DOCTYPE html>
{% load static %}
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>ActionWithRequestToInteractiveAuction</title>
    <link rel="stylesheet" type="text/css" href="{% static "css/main.css" %}">
    <script type="text/javascript" src="{% static "js/main.js" %}"></script>
    <script type="text/javascript" src="{% static "js/jquery-3.5.1.min.js" %}"></script>
</head>
<body>
<div class="result-table">
    <label>
        <p>ID аукциона: <output class="output_text" name="auction_id" id="auction_id">{{auction_id}}</output></p>
    </label>
    <label>
        <p>Количество свободных мест: <output class="output_text" name="number">{{free_lots_number}}</output></p>
    </label>
    <table class="result-table">
    <caption>Список заявок</caption>
        <tr>
            <td>ID заявки</td>
            <td>Начальная цена</td>
            <td>Описание</td>
            <td>ID продавца</td>
            <td>Квант времени</td>
            <td>Изменение цены</td>
            <td>Конечная цена</td>
        </tr>
        {% for request in data %}
            <tr>
                <td>{{ request.id }}</td>
                <td>{{ request.start_price }}</td>
                <td>{{ request.description }}</td>
                <td>{{ request.seller_id }}</td>
                <td>{{ request.quantum }}</td>
                <td>{{ request.price_change }}</td>
                <td>{{ request.limit_price }}</td>
            </tr>
        {% endfor %}
        <label>
            <span>ID заявки</span>
            <input type="text" class="text" name="request_id" id="request_id" placeholder="ID заявки">
        </label>
        <input type="button" class="button" onclick="ApproveRequestToInteractiveAuction()" value="Одобрить"> 
        <input type="button" class="button" onclick="DeclineRequestToInteractiveAuction()" value="Отклонить">
        <input type="button" class="button" onclick="history.back();" value="Назад"> 
        <label>
            <output class="output_text" name="status">{{id}}</output> 
            <output class="output_text" name="status">{{action}}</output>
        </label>
</div>
</body>